# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'simplycop/version'

Gem::Specification.new do |spec|
  spec.name          = 'simplycop'
  spec.version       = Simplycop::VERSION
  spec.authors       = ['Simply Business']
  spec.email         = ['tech@simplybusiness.co.uk']
  spec.required_ruby_version = '>= 2.5'
  spec.license       = 'MIT'
  spec.summary       = 'Provides a single point of reference for common rubocop rules.'
  spec.description   = 'Require this gem in your application to use Simply Business common rubocop rules.'
  spec.homepage      = 'https://github.com/simplybusiness/simplycop'
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']

  spec.add_dependency 'rubocop', '~> 1.12.1'
  spec.add_dependency 'rubocop-rails', '~> 2.9.0'
  spec.add_dependency 'rubocop-rspec', '~> 2.2.0'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '>= 12.3.3'
  spec.add_development_dependency 'rspec', '~> 3.10'
end
