var search_data = {"index":{"searchIndex":["customcops","constantize","definemethod","dontprintallenv","instanceeval","methodmissing","timecopwithoutblock","security","csrftokenvalidation","checkforvulnerablecode","rejectallrequestslocal","simplycop","black_listed?()","first_child_of_block?()","found_match()","found_match()","last_child_is_a_block()","on_def()","on_defs()","on_send()","on_send()","on_send()","on_send()","on_send()","on_send()","on_send()","on_send()","read_file()"],"longSearchIndex":["customcops","customcops::constantize","customcops::definemethod","customcops::dontprintallenv","customcops::instanceeval","customcops::methodmissing","customcops::timecopwithoutblock","security","security::csrftokenvalidation","security::checkforvulnerablecode","security::rejectallrequestslocal","simplycop","security::rejectallrequestslocal#black_listed?()","customcops::timecopwithoutblock#first_child_of_block?()","security::csrftokenvalidation#found_match()","security::rejectallrequestslocal#found_match()","customcops::timecopwithoutblock#last_child_is_a_block()","customcops::methodmissing#on_def()","customcops::methodmissing#on_defs()","customcops::constantize#on_send()","customcops::definemethod#on_send()","customcops::dontprintallenv#on_send()","customcops::instanceeval#on_send()","customcops::timecopwithoutblock#on_send()","security::csrftokenvalidation#on_send()","security::checkforvulnerablecode#on_send()","security::rejectallrequestslocal#on_send()","security::checkforvulnerablecode::read_file()"],"info":[["CustomCops","","CustomCops.html","",""],["CustomCops::Constantize","","CustomCops/Constantize.html","","\n<pre>This cop checks for the presence of dynamically generated constants</pre>\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-comment\">#bad</span>\n<span class=\"ruby-string\">&quot;FOO_BAR&quot;</span>.<span class=\"ruby-identifier\">constantize</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["CustomCops::DefineMethod","","CustomCops/DefineMethod.html","","\n<pre>This cop checks for dynamically defining methods</pre>\n<p>@example\n\n<pre>#bad\nFoo.define_method(:bar) { p &#39;bar }\n\n#good ...</pre>\n"],["CustomCops::DontPrintAllEnv","","CustomCops/DontPrintAllEnv.html","",""],["CustomCops::InstanceEval","","CustomCops/InstanceEval.html","","\n<pre>This cop checks for usages of `instance_eval`</pre>\n<p>@example\n\n<pre>#bad\nclass Person\nend\n\nPerson.instance_eval do\n ...</pre>\n"],["CustomCops::MethodMissing","","CustomCops/MethodMissing.html","","\n<pre>This cop checks for the presence of `method_missing`</pre>\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-comment\">#bad</span>\n<span class=\"ruby-keyword\">def</span> <span class=\"ruby-identifier ruby-title\">method_missing</span>\n<span class=\"ruby-keyword\">end</span>\n\n<span class=\"ruby-comment\">#good</span>\n\n<span class=\"ruby-keyword\">not</span> <span class=\"ruby-identifier\">using</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["CustomCops::TimecopWithoutBlock","","CustomCops/TimecopWithoutBlock.html","",""],["Security","","Security.html","",""],["Security::CSRFTokenValidation","","Security/CSRFTokenValidation.html","",""],["Security::CheckForVulnerableCode","","Security/CheckForVulnerableCode.html","",""],["Security::RejectAllRequestsLocal","","Security/RejectAllRequestsLocal.html","",""],["Simplycop","","Simplycop.html","","<p>USE Semantic Versioning ===\n<p>MAJOR version when you make incompatible API changes, MINOR version when you …\n"],["black_listed?","Security::RejectAllRequestsLocal","Security/RejectAllRequestsLocal.html#method-i-black_listed-3F","(string)",""],["first_child_of_block?","CustomCops::TimecopWithoutBlock","CustomCops/TimecopWithoutBlock.html#method-i-first_child_of_block-3F","(node)","<p>Checks if the given node&#39;s parent is a block, and the given node is its first child, which would …\n"],["found_match","Security::CSRFTokenValidation","Security/CSRFTokenValidation.html#method-i-found_match","(method)",""],["found_match","Security::RejectAllRequestsLocal","Security/RejectAllRequestsLocal.html#method-i-found_match","(string)",""],["last_child_is_a_block","CustomCops::TimecopWithoutBlock","CustomCops/TimecopWithoutBlock.html#method-i-last_child_is_a_block","(node)","<p>Checks whether the last child of the given node is a block. this denotes the following structure: `Timecop.method(arg1, …\n"],["on_def","CustomCops::MethodMissing","CustomCops/MethodMissing.html#method-i-on_def","(node)",""],["on_defs","CustomCops::MethodMissing","CustomCops/MethodMissing.html#method-i-on_defs","(node)",""],["on_send","CustomCops::Constantize","CustomCops/Constantize.html#method-i-on_send","(node)",""],["on_send","CustomCops::DefineMethod","CustomCops/DefineMethod.html#method-i-on_send","(node)",""],["on_send","CustomCops::DontPrintAllEnv","CustomCops/DontPrintAllEnv.html#method-i-on_send","(node)",""],["on_send","CustomCops::InstanceEval","CustomCops/InstanceEval.html#method-i-on_send","(node)",""],["on_send","CustomCops::TimecopWithoutBlock","CustomCops/TimecopWithoutBlock.html#method-i-on_send","(node)",""],["on_send","Security::CSRFTokenValidation","Security/CSRFTokenValidation.html#method-i-on_send","(node)",""],["on_send","Security::CheckForVulnerableCode","Security/CheckForVulnerableCode.html#method-i-on_send","(node)",""],["on_send","Security::RejectAllRequestsLocal","Security/RejectAllRequestsLocal.html#method-i-on_send","(node)",""],["read_file","Security::CheckForVulnerableCode","Security/CheckForVulnerableCode.html#method-c-read_file","()",""]]}}